.single-product__wrapper {
  position: relative;
  padding: 1.25rem 3.75rem;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, calc(50% - (7.5625rem / 2)));
  gap: 7.5625rem; }
  @media screen and (min-width: 1921px) {
    .single-product__wrapper {
      padding: 1.04167vw 3.125vw;
      grid-template-columns: repeat(2, calc(50% - (6.30208vw / 2)));
      gap: 6.30208vw; } }
  @media screen and (max-width: 1700px) {
    .single-product__wrapper {
      padding: 1.875rem;
      grid-template-columns: repeat(2, calc(50% - (3.8125rem / 2)));
      gap: 3.8125rem; } }
  @media screen and (max-width: 1240px) {
    .single-product__wrapper {
      padding: 0;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      gap: 1.875rem; } }
  .single-product__wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    z-index: 0;
    width: 1px;
    height: auto;
    background: var(--stroke-dark);
    pointer-events: none; }
    @media screen and (max-width: 1240px) {
      .single-product__wrapper::before {
        content: unset; } }
  .single-product__wrapper::after {
    content: "";
    position: absolute;
    top: 0;
    right: -0.9375rem;
    bottom: 0;
    left: -0.9375rem;
    z-index: 0;
    width: auto;
    height: auto;
    border: solid var(--stroke-dark);
    border-width: 1px 1px 0 1px;
    border-radius: var(--radius-primary) var(--radius-primary) 0 0;
    pointer-events: none; }
    @media screen and (min-width: 1921px) {
      .single-product__wrapper::after {
        right: -0.78125vw;
        left: -0.78125vw;
        border-width: 0.05208vw 0.05208vw 0 0.05208vw; } }
    @media screen and (max-width: 1700px) {
      .single-product__wrapper::after {
        right: 0;
        left: 0; } }
    @media screen and (max-width: 1240px) {
      .single-product__wrapper::after {
        content: unset; } }

.single-product__gallery {
  position: relative;
  z-index: 1;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.875rem; }
  @media screen and (min-width: 1921px) {
    .single-product__gallery {
      gap: 1.5625vw; } }
  @media screen and (max-width: 1700px) {
    .single-product__gallery {
      gap: 1.5625rem; } }
  @media screen and (max-width: 1240px) {
    .single-product__gallery {
      position: relative;
      right: var(--container-offset);
      padding: 0 var(--container-offset) var(--container-offset);
      width: calc(100% + (var(--container-offset) * 2));
      gap: 1.875rem;
      border-bottom: solid 1px var(--stroke-dark); } }
  @media screen and (max-width: 750px) {
    .single-product__gallery {
      padding-bottom: 1.875rem;
      gap: 1.5625rem; } }

.single-product__swiper {
  position: relative;
  width: 100%;
  height: 40.625rem;
  border-radius: var(--radius-primary);
  overflow: hidden;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none; }
  @media screen and (min-width: 1921px) {
    .single-product__swiper {
      height: 33.85417vw; } }
  @media screen and (max-width: 1700px) {
    .single-product__swiper {
      height: 38.5rem; } }
  @media screen and (max-width: 1240px) {
    .single-product__swiper {
      height: auto;
      aspect-ratio: 688/348; }
      @supports not (aspect-ratio: 1/1) {
        .single-product__swiper {
          height: 21.75rem; } } }
  @media screen and (max-width: 750px) {
    .single-product__swiper {
      aspect-ratio: 290/235; }
      @supports not (aspect-ratio: 1/1) {
        .single-product__swiper {
          height: 14.6875rem; } } }
  .single-product__swiper .swiper-wrapper {
    height: 100%; }
  .single-product__swiper .swiper-slide {
    height: 100%; }
    .single-product__swiper .swiper-slide > .single-product__photo {
      width: 100%;
      max-width: unset;
      height: 100%;
      display: block; }
      .single-product__swiper .swiper-slide > .single-product__photo img,
      .single-product__swiper .swiper-slide > .single-product__photo picture {
        width: 100%;
        height: 100%;
        display: block;
        -o-object-fit: cover;
           object-fit: cover;
        -o-object-position: center;
           object-position: center; }
  .single-product__swiper .swiper-navigation {
    position: absolute;
    top: 0;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 2;
    margin: auto;
    padding: 0 2.5rem;
    width: 100%;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    pointer-events: none; }
    @media screen and (min-width: 1921px) {
      .single-product__swiper .swiper-navigation {
        padding: 0 2.08333vw; } }
    @media screen and (max-width: 1700px) {
      .single-product__swiper .swiper-navigation {
        padding: 0 1.875rem; } }
    @media screen and (max-width: 750px) {
      .single-product__swiper .swiper-navigation {
        padding: 0 0.9375rem; } }
    .single-product__swiper .swiper-navigation .button-icon {
      pointer-events: all; }

.single-product__thumbnails {
  width: 100%;
  border-radius: var(--radius-secondary);
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none; }
  @media screen and (max-width: 1240px) {
    .single-product__thumbnails {
      overflow: visible; } }
  .single-product__thumbnails .swiper-slide {
    width: 5rem;
    height: 5rem;
    border-radius: var(--radius-secondary);
    overflow: hidden;
    opacity: 0.5;
    -webkit-transition: opacity var(--animation-default);
    transition: opacity var(--animation-default);
    cursor: pointer; }
    @media screen and (min-width: 1921px) {
      .single-product__thumbnails .swiper-slide {
        width: 4.16667vw;
        height: 4.16667vw; } }
    @media screen and (max-width: 750px) {
      .single-product__thumbnails .swiper-slide {
        width: 3.75rem;
        height: 3.75rem; } }
    @media (any-hover: hover) {
      .single-product__thumbnails .swiper-slide:hover {
        opacity: 0.75; } }
    .single-product__thumbnails .swiper-slide > .single-product__thumb {
      width: 100%;
      max-width: unset;
      height: 100%;
      display: block; }
      .single-product__thumbnails .swiper-slide > .single-product__thumb img,
      .single-product__thumbnails .swiper-slide > .single-product__thumb picture {
        width: 100%;
        height: 100%;
        display: block;
        -o-object-fit: cover;
           object-fit: cover;
        -o-object-position: center;
           object-position: center; }
  .single-product__thumbnails .swiper-slide-thumb-active {
    opacity: 1 !important; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
